using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        #region Settings
        int Intervel = 2;//intervel between images in seconds 
        string ImagePath1 = "images/image1.jpg";
        string ImagePath2 = "images/image2.jpg";
        string ImagePath3 = "images/image3.jpg";
        string ImagePath4 = "images/image4.jpg";
        #endregion

        #region Create Dynamic Control
        Table tbl = new Table();
        tbl.BorderWidth = 1;

        TableRow tblRow1 = new TableRow();

        TableCell tblRow1Cell1 = new TableCell();
        tblRow1Cell1.ColumnSpan = 4;

        HtmlImage img1 = new HtmlImage();
        img1.Src = ImagePath1;
        img1.Alt = "Click play To Start";
        img1.Width = 150;
        img1.Height = 150;
        tblRow1Cell1.Controls.Add(img1);

        HtmlImage img2 = new HtmlImage();
        img2.Src = ImagePath2;
        img2.Style.Add(HtmlTextWriterStyle.Display, "none");
        img2.Width = 150;
        img2.Height = 150;
        tblRow1Cell1.Controls.Add(img2);

        HtmlImage img3 = new HtmlImage();
        img3.Src = ImagePath3;
        img3.Style.Add(HtmlTextWriterStyle.Display, "none");
        img3.Width = 150;
        img3.Height = 150;
        tblRow1Cell1.Controls.Add(img3);

        HtmlImage img4 = new HtmlImage();
        img4.Src = ImagePath4;
        img4.Style.Add(HtmlTextWriterStyle.Display, "none");
        img4.Width = 150;
        img4.Height = 150;
        tblRow1Cell1.Controls.Add(img4);

        tblRow1.Cells.Add(tblRow1Cell1);
        tbl.Rows.Add(tblRow1);

        TableRow tblRow2 = new TableRow();

        TableCell tblRow2Cell1 = new TableCell();
        tblRow2Cell1.Attributes.Add("align", "center");
        tblRow2Cell1.ColumnSpan = 4;

        LinkButton lnkPlay = new LinkButton();
        lnkPlay.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        lnkPlay.Text = "Play";
        tblRow2Cell1.Controls.Add(lnkPlay);

        tblRow2.Cells.Add(tblRow2Cell1);
        tbl.Rows.Add(tblRow2);

        LinkButton lnkStop = new LinkButton();
        lnkStop.Text = "Stop";
        lnkStop.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        lnkStop.Style.Add("display", "none");
        tblRow2Cell1.Controls.Add(lnkStop);


        TableRow tblRow3 = new TableRow();
        tblRow3.Attributes.Add("align", "center");

        TableCell tblRow3Cell1 = new TableCell();
        LinkButton lnk1 = new LinkButton();
        lnk1.Text = "1";
        lnk1.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        tblRow3Cell1.Controls.Add(lnk1);

        TableCell tblRow3Cell2 = new TableCell();
        LinkButton lnk2 = new LinkButton();
        lnk2.Text = "2";
        lnk2.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        tblRow3Cell2.Controls.Add(lnk2);

        TableCell tblRow3Cell3 = new TableCell();
        LinkButton lnk3 = new LinkButton();
        lnk3.Text = "3";
        lnk3.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        tblRow3Cell3.Controls.Add(lnk3);

        TableCell tblRow3Cell4 = new TableCell();
        LinkButton lnk4 = new LinkButton();
        lnk4.Text = "4";
        lnk4.Style.Add(HtmlTextWriterStyle.TextDecoration, "none");
        tblRow3Cell4.Controls.Add(lnk4);

        tblRow3.Cells.Add(tblRow3Cell1);
        tblRow3.Cells.Add(tblRow3Cell2);
        tblRow3.Cells.Add(tblRow3Cell3);
        tblRow3.Cells.Add(tblRow3Cell4);

        tbl.Rows.Add(tblRow3);
        Form.Controls.Add(tbl);
        #endregion

        #region Onclick Handlers
        Intervel *= 1000;//Change in Milliseconds
        lnkPlay.Attributes.Add("OnClick", "this.style.display='none';document.getElementById('" + lnkStop.ClientID + "').style.display='block';Change(CurrentLink);Intervel=setInterval('Change(CurrentLink)','" + Intervel + "' );  return false;");
        lnkStop.Attributes.Add("OnClick", "this.style.display='none';document.getElementById('" + lnkPlay.ClientID + "').style.display='block';window.clearInterval(Intervel);if(CurrentLink==1){CurrentLink=4;}else{CurrentLink=CurrentLink*1-1;} return false;");
        lnk1.Attributes.Add("OnClick", "CurrentLink=1;Change(1);return false;");
        lnk2.Attributes.Add("OnClick", "CurrentLink=2;Change(2);return false;");
        lnk3.Attributes.Add("OnClick", "CurrentLink=3;Change(3);return false;");
        lnk4.Attributes.Add("OnClick", "CurrentLink=4;Change(4);return false;");
        #endregion

        #region Startup Script
        if (!Page.ClientScript.IsStartupScriptRegistered("preload" + this.ClientID))
        {
            string script =
            "<script type='text/javascript'> " +
            "var CurrentLink=1;" +
            "var Intervel;" +
            "function Change(LinkValue){" +
            "document.getElementById('" + lnk1.ClientID + "').style.color='';" +
            "document.getElementById('" + lnk2.ClientID + "').style.color='';" +
            "document.getElementById('" + lnk3.ClientID + "').style.color='';" +
            "document.getElementById('" + lnk4.ClientID + "').style.color='';" +
            "document.getElementById('" + img1.ClientID + "').style.display='none';" +
            "document.getElementById('" + img2.ClientID + "').style.display='none';" +
            "document.getElementById('" + img3.ClientID + "').style.display='none';" +
            "document.getElementById('" + img4.ClientID + "').style.display='none';" +
            "if(LinkValue==1){document.getElementById('" + lnk1.ClientID + "').style.color='red';document.getElementById('" + img1.ClientID + "').style.display='block'; }" +
            "if(LinkValue==2){document.getElementById('" + lnk2.ClientID + "').style.color='red';document.getElementById('" + img2.ClientID + "').style.display='block'; }" +
            "if(LinkValue==3){document.getElementById('" + lnk3.ClientID + "').style.color='red';document.getElementById('" + img3.ClientID + "').style.display='block'; }" +
            "if(LinkValue==4){document.getElementById('" + lnk4.ClientID + "').style.color='red';document.getElementById('" + img4.ClientID + "').style.display='block'; }" +
            "CurrentLink=(CurrentLink % 4)+1;}" +
            "</script> ";
            Page.ClientScript.RegisterStartupScript(this.GetType(),
            "preload" + this.ClientID, script);
        }
        #endregion

    }
}
